# Uses of Class
org.eclipse.birt.report.model.api.FactoryPropertyHandle

Packages that use FactoryPropertyHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of FactoryPropertyHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return FactoryPropertyHandle
Modifier and Type
Method
Description
`FactoryPropertyHandle`
DesignElementHandle.`getFactoryPropertyHandle(String propName)`
Returns a handle for a top-level property for use in preparing the Factory data structures.
`FactoryPropertyHandle`
FactoryElementHandle.`getFactoryPropertyHandle(String propName)`
Returns a handle for a top-level property for use in preparing the Factory data structures.